import { classes } from '@automapper/classes';
import { AutomapperModule } from '@automapper/nestjs';
import { Test, TestingModule } from '@nestjs/testing';
import { ValidateAuthorizationUseCase } from '../../domain/usecases/validate-authorization.usecase';

describe('ValidateAuthorizationUseCase', () => {
  let validateAuthorizationUseCase: ValidateAuthorizationUseCase;

  beforeAll(async () => {
    const module: TestingModule = await Test.createTestingModule({
      imports: [AutomapperModule.forRoot({ strategyInitializer: classes() })],
      providers: [ValidateAuthorizationUseCase],
    }).compile();

    validateAuthorizationUseCase = module.get<ValidateAuthorizationUseCase>(
      ValidateAuthorizationUseCase,
    );
  });

  it('should be defined', () => {
    expect(validateAuthorizationUseCase).toBeDefined();
  });
});
